import {AppClass} from "../lifecycle/AppClass";
import {Request} from "./lifecycle/Request";

/**
 * Base class for controllers that define methods that
 * handle HTTP requests.
 */
export class Controller extends AppClass {
    constructor(
        protected readonly request: Request
    ) { super() }

    protected container() {
        return this.request
    }
}
